1. Please take a little time for this simple survey! Thank you for participating!
    Dismiss Notice
  2. Dear Pleskians, please read this carefully! New attachments and other rules Thank you!
    Dismiss Notice
  3. Dear Pleskians, I really hope that you will share your opinion in this Special topic for chatter about Plesk in the Clouds. Thank you!
    Dismiss Notice

Qmail can't send email to some domains.

Discussion in 'Plesk 10.x for Linux Issues, Fixes, How-To' started by hr.kam, Nov 25, 2011.

  1. hr.kam

    hr.kam Guest

    0
     
    Hello, some emails stay in mail queue. I found this message in maillog:
    System_resources_temporarily_unavailable._(#4.3.0)

    I done some research an found some answers in this thread:
    http://forum.parallels.com/pda/index.php/t-110308.html

    But this thread speak about plesk 10.2. I have version 10.4.4 MU #4.
    It seems that problem persist.

    Is enabling of IPV6 right solution?

    Please, can somebody help me with this?

    My system:
    Linux 2.6.9-023stab052.4-smp
    Plesk 10.4.4 MU #4

    Thank you for help.
     
  2. IgorG

    IgorG Forums Analyst Staff Member

    49
    24%
    Joined:
    Oct 27, 2009
    Messages:
    24,557
    Likes Received:
    1,241
    Location:
    Novosibirsk, Russia
    Did you try to enable IPv6 on network interface or just switch MTA to default Postfix?
     
  3. hr.kam

    hr.kam Guest

    0
     
  4. IgorG

    IgorG Forums Analyst Staff Member

    49
    24%
    Joined:
    Oct 27, 2009
    Messages:
    24,557
    Likes Received:
    1,241
    Location:
    Novosibirsk, Russia
    Can you just add IPv6 address to your VPS on Virtuozzo level and reread IPs list in Plesk after that?
     
  5. hr.kam

    hr.kam Guest

    0
     
    Hello Igor.
    I was send message to VPS provider an he answered me that enabling of IPV6 on VPS is not possible :-(

    [​IMG]
     
    Last edited by a moderator: Nov 25, 2011
  6. RalfF

    RalfF New Pleskian

    15
    85%
    Joined:
    Nov 15, 2010
    Messages:
    9
    Likes Received:
    0
    Same Problem

    Hello,

    i have the same problem.
    Qmail can't send email to some domains.

    The Error is System_resources_temporarily_unavailable._(#4.3.0) and the command

    kill -ALRM `ps ax | grep qmail-send | grep -v grep | awk '{print $1}'` don´t work for the queue is full.

    I wanted to switch to postfix via auto installer and get the following error message:

    Geben Sie die Nummer ein, um die Komponente oder die Gruppe anzuzeigen;
    Geben Sie die Nummer oder das entsprechende Zeichen für die gewünschte Aktion [N] an:
    Es werden Informationen zum installierten Lizenzkey abgerufen...
    Auflösung der Paketabhängigkeiten wird geprüft.
    E: Broken packages
    ---X--- `apt-get` output ---------------------
    Reading package lists...
    Building dependency tree...
    Reading state information...
    psa-mail-driver-common is already the newest version.
    Some packages could not be installed. This may mean that you have
    requested an impossible situation or if you are using the unstable
    distribution that some required packages have not yet been created
    or been moved out of Incoming.
    The following information may help to resolve the situation:

    The following packages have unmet dependencies:
    plesk-mail-pc-driver: Conflicts: psa-mail-driver
    psa-mail-pc-driver: Conflicts: psa-mail-driver

    ---------------------- `apt-get` output ---X---
    Fehlerdetails werden in die Protokolldatei geschrieben...
    Die Synchronisierung Debian APT-Paket-Indexdateien...

    ERROR: Installation wird nicht fortgesetzt
    Es wurden nicht alle Pakete installiert.
    Bitte kontaktieren Sie den technischen Produktsupport.


    If I make a apt-get install psa-mail-driver

    The message I get back is:

    Paketlisten werden gelesen... Fertig
    Abhängigkeitsbaum wird aufgebaut
    Lese Status-Informationen ein... Fertig
    Paket psa-mail-driver ist ein virtuelles Paket, das bereitgestellt wird von:
    psa-mail-qc-driver 1.0.0-debian5.0.build92091210.11
    psa-mail-pc-driver 1.0.0-debian5.0.build92091210.11
    Sie sollten eines explizit zum Installieren auswählen.
    E: Paket psa-mail-driver hat keinen Installationskandidaten


    If i make a apt-get install psa-mail-qc-driver

    The message I get back is:

    Paketlisten werden gelesen... Fertig
    Abhängigkeitsbaum wird aufgebaut
    Lese Status-Informationen ein... Fertig
    psa-mail-qc-driver ist schon die neueste Version.
    0 aktualisiert, 0 neu installiert, 0 zu entfernen und 0 nicht aktualisiert.


    I then use the auto installer to install postfix comes back the following message

    ...The following packages have unmet dependencies:
    plesk-mail-pc-driver: Conflicts: psa-mail-driver
    psa-mail-pc-driver: Conflicts: psa-mail-driver...


    The e-mail delivery stops working after that. The following error message appears in Outlook:

    Fehler (0x800CCC67) beim Ausführen der Aufgabe "xxxxx@domain.de - Nachrichten werden gesendet": " Antwort des Servers: 421 unable to read controls (#4.3.0)"

    I will start again after the auto installer as follows:

    Bitte wählen Sie die zu installierenden Komponenten von Parallels Plesk Panel aus:

    1. [=] Base packages of Plesk
    2. [=] Plesk Updater
    3. [=] PostgreSQL server support
    4. [=] Plesk migration manager
    5. [=] Health monitor
    6. [=] Payment gateway and registrar modules adapted to Business Manager
    7. [=] Parallels Web Presence Builder
    8. [=] Customer & Business Manager (recommended for shared hosting)
    9. [ ] PHP5 support
    10. [=] Apache web server support
    11. [=] MySQL server support
    12. [=] <+> Plesk hosting features // 7 of 7 components selected

    Different mailservers
    13. (*) Qmail mailserver
    14. ( ) Postfix mailserver

    15. [=] <+> Additional Plesk modules // 5 of 5 components selected
    16. [=] <+> Game servers // 1 of 1 components selected
    17. [=] <+> Additional mail services // 4 of 4 components selected
    18. [=] <+> Server backup solutions // 2 of 2 components selected
    19. [=] <+> Plesk webmails support // 2 of 2 components selected


    then comes

    Folgender Festplattenspeicher wird in den Verzeichnissen benötigt:
    /opt: 900.00 MB.
    Benötigt gesamt: 900.00 MB, vorhanden 531996.00 MB.


    and then comes

    Es sind 2 Pakete, die für das ordnungsgemäÃe Funktionieren dieses Produkts erforderlich sind, wurden
    in Ihrem System nicht gefunden.

    Es sind 0 Pakete vorhanden, die aktualisiert werden müssen,
    um das Produkt zu installieren.


    Then again functioning of the transit via qmail. In some domains but returns the error message:

    System_resources_temporarily_unavailable._(#4.3.0)

    Also: Qmail can't send email to some domains and i can´t switch to Postfix...

    Please Help
     
  7. RalfF

    RalfF New Pleskian

    15
    85%
    Joined:
    Nov 15, 2010
    Messages:
    9
    Likes Received:
    0
    I forgot the following:
    Server Provider is Server4you, Plesk is 10.4.4 MU8 on Debian5 and the Hostsystem von Server4you have no IPv6 Support.
     
    Last edited: Dec 21, 2011
  8. RalfF

    RalfF New Pleskian

    15
    85%
    Joined:
    Nov 15, 2010
    Messages:
    9
    Likes Received:
    0
    I fix the Problem.

    I change the Source.list to:
    deb http://autoinstall.plesk.com/debian/PSA10/ lenny all
    and start autoupdate with switch to postfix.

    Postfix is running without Problems and Email can send to all without error.
     
  9. IgorG

    IgorG Forums Analyst Staff Member

    49
    24%
    Joined:
    Oct 27, 2009
    Messages:
    24,557
    Likes Received:
    1,241
    Location:
    Novosibirsk, Russia
Loading...